@extends('admin.layout')
@section('content')
<div class="content-wrapper"> 
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1> {{ trans('labels.AddCustomer') }} <small>{{ trans('labels.AddCustomer') }}...</small> </h1>
    <ol class="breadcrumb">
      <li><a href="{{ URL::to('admin/dashboard/this_month')}}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
      <li><a href="listingCustomers"><i class="fa fa-users"></i> {{ trans('labels.ListingAllCustomers') }}</a></li>
      <li class="active">{{ trans('labels.AddCustomer') }}</li>
    </ol>
  </section>
  
  <!-- Main content -->
  <section class="content"> 
    <!-- Info boxes --> 
    
    <!-- /.row -->

    <div class="row">
      <div class="col-md-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">{{ trans('labels.AddCustomer') }} </h3>
          </div>
          
          <!-- /.box-header -->
          <div class="box-body">
            <div class="row">
              <div class="col-xs-12">
              		<div class="box box-info">
                        <!--<div class="box-header with-border">
                          <h3 class="box-title">Edit category</h3>
                        </div>-->
                        <!-- /.box-header -->
                        <br>                       
                       	@if(count($schedualData['message'])>0)						
						<div class="alert alert-success alert-dismissible" role="alert">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						 {{ $schedualData['message'] }}
						</div>						
						@endif
                        
                       @if(count($schedualData['errorMessage'])>0)						
						<div class="alert alert-danger" role="alert">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						 {{ $schedualData['errorMessage'] }}
						</div>						
						@endif
                        
                        <!-- form start -->                        
                         <div class="box-body">
                            {!! Form::open(array('url' =>'admin/addNewSchedual', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}
                              @if(isset($_GET['installation']))
                              <input type="hidden" id="installation_id" name="installation_id" value="{{$_GET['installation']}}">
                              <input type="hidden" name="type" value="{{$_GET['type']}}">

                              @else
                              <div class="form-group">
                                  <label for="name" class="col-sm-2 col-md-3 control-label">{{ trans('labels.Installation') }} </label>
                                  <div class="col-sm-10 col-md-4">
                                    <select class="form-control" id="installation_id" name="installation_id">
                                        @if (count($schedualData['instalation']) > 0)
						                   @foreach ($schedualData['instalation']  as $key=>$instalations)
                                          <option value="{{$instalations->id}}">{{ $instalations->id }} &nbsp; {{ $instalations->elevator_code }}</option>
                                          @endforeach
                                        @endif
									</select>
                                    <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">{{ trans('labels.lastNameText') }}</span>
                                    <span class="help-block hidden">{{ trans('labels.textRequiredFieldMessage') }}</span>
                                  </div>
                                </div>
                                @endif
                                
                                
                                   <div id="calendar"></div>
                                
                               
                            
                                
                              <!-- /.box-body -->
                             
                              <!-- /.box-footer -->
                           

                        <div id="items"></div>
                        <input id="schedules" name="schedules" type="hidden">
                        <button type="submit" id="save" class="btn btn-primary">Submit and Save</button>
                        {!! Form::close() !!}
                        </div>
                  </div>
              </div>
            </div>
         
<div class="modal modal-fade" id="event-modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
				<h4 class="modal-title">
					Event
				</h4>
			</div>
			<div class="modal-body">
				<input type="hidden" name="event-index">
				<form class="form-horizontal">
					<div class="form-group">
						<label for="min-date" class="col-sm-4 control-label">Technician Name</label>
						<div class="col-sm-7">
							 <select class="form-control" name="tecnician_id" id="tecnician_id" placeholder="Select Technician">
                                         @if (count($schedualData['technician']) > 0)
						                   @foreach ($schedualData['technician']  as $key=>$technicians)
                                          <option value="{{$technicians->myid}}">{{ $technicians->first_name }}</option>
                                          @endforeach
                                        @endif
									</select>
						</div>
					</div>
					<div class="form-group">
						<label for="min-date" class="col-sm-4 control-label">Time</label>
						<div class="col-sm-7">
						
							
						<input type="datetime-local" id="scheduled_at"
       name="scheduled_at" value="2020-03-13T18:30"  class="form-control"
      >

						</div>
					</div>
					
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
				<button type="button" class="btn btn-primary" id="submit"  data-dismiss="modal">
					Save
				</button>
			</div>
		</div>
	</div>
</div>
          </div>
          <!-- /.box-body --> 
        </div>
        <!-- /.box --> 
      </div>
      <!-- /.col --> 
    </div>
    <!-- /.row --> 
    
    <!-- Main row --> 
    <script>
    var dt=[];
    var calendar=null;
    $("#submit").on("click",function(){
      console.log($("#scheduled_at").val());
      console.log($("#tecnician_id").val());
      console.log($("#installation_id").val());

      dt.push({
        "scheduled_at":$("#scheduled_at").val(),
        "tecnician_id":$("#tecnician_id").val(),
        "installation_id":$("#installation_id").val(),
        "startDate":new Date($("#scheduled_at").val()),
        "endDate":new Date($("#scheduled_at").val()),  
        "location":$("#installation_id option:selected").text(),//$( "#myselect " ).text()
        "name":$("#tecnician_id option:selected").text() //$("#tecnician_id").val()
      });
       calendar.setDataSource(dt);
      $("#schedules").val(JSON.stringify(dt));
      $("#items").append("<tr><td>"+$("#scheduled_at").val()+"</td>");
    });
    
    
    
    
    
    
    function editEvent(event) {
        console.log(event);
    $('#event-modal input[name="event-index"]').val(event ? event.id : '');
    $('#event-modal input[name="event-name"]').val(event ? event.name : '');
    $('#event-modal input[name="event-location"]').val(event ? event.location : '');
    $('#event-modal input[name="event-start-date"]').datepicker('update', event ? event.startDate : '');
    $('#event-modal input[name="event-end-date"]').datepicker('update', event ? event.endDate : '');
    $('#event-modal').modal();
}

function deleteEvent(event) {
    var dataSource = $('#calendar').data('calendar').getDataSource();

    for(var i in dataSource) {
        if(dataSource[i].id == event.id) {
            dataSource.splice(i, 1);
            break;
        }
    }
    
    $('#calendar').data('calendar').setDataSource(dataSource);
}

function saveEvent() {
    var event = {
        id: $('#event-modal input[name="event-index"]').val(),
        name: $('#event-modal input[name="event-name"]').val(),
        location: $('#event-modal input[name="event-location"]').val(),
        startDate: $('#event-modal input[name="event-start-date"]').datepicker('getDate'),
        endDate: $('#event-modal input[name="event-end-date"]').datepicker('getDate')
    }
    
    var dataSource = $('#calendar').data('calendar').getDataSource();

    if(event.id) {
        for(var i in dataSource) {
            if(dataSource[i].id == event.id) {
                dataSource[i].name = event.name;
                dataSource[i].location = event.location;
                dataSource[i].startDate = event.startDate;
                dataSource[i].endDate = event.endDate;
            }
        }
    }
    else
    {
        var newId = 0;
        for(var i in dataSource) {
            if(dataSource[i].id > newId) {
                newId = dataSource[i].id;
            }
        }
        
        newId++;
        event.id = newId;
    
        dataSource.push(event);
    }
    
    $('#calendar').data('calendar').setDataSource(dataSource);
    $('#event-modal').modal('hide');
}
var addDays = function(str, days) {
  var myDate = new Date(str);
  myDate.setDate(myDate.getDate() + parseInt(days));
  return myDate.toISOString().slice(0,16);
}


$(function() {
    var currentYear = new Date().getFullYear();


 calendar = new Calendar('#calendar', {
   // $('#calendar').calendar({
        enableContextMenu: true,
        enableRangeSelection: true,
        contextMenuItems:[
            {
                text: 'Update',
                click: editEvent
            },
            {
                text: 'Delete',
                click: deleteEvent
            }
        ],
        selectRange: function(e) {
            var myDate = addDays(e.startDate.toISOString().slice(0,16), 1);
console.log(myDate);
            document.getElementById('scheduled_at').value  = myDate;
            console.log(myDate);
            editEvent({ startDate: e.startDate, endDate: e.endDate });
        },
        mouseOnDay: function(e) {
            if(e.events.length > 0) {
                var content = '';
                
                for(var i in e.events) {
                    content += '<div class="event-tooltip-content">'
                                    + '<div class="event-name" style="color:' + e.events[i].color + '">' + e.events[i].name + '</div>'
                                    + '<div class="event-location">' + e.events[i].location + '</div>'
                                + '</div>';
                }
            
                $(e.element).popover({
                    trigger: 'manual',
                    container: 'body',
                    html:true,
                    content: content
                });
                
                $(e.element).popover('show');
            }
        },
        mouseOutDay: function(e) {
            if(e.events.length > 0) {
                $(e.element).popover('hide');
            }
        },
        dayContextMenu: function(e) {
            $(e.element).popover('hide');
        },
        dataSource: [
          
            
        ]
    });
    
    $('#save-event').click(function() {
        saveEvent();
    });
});
    </script>
    <!-- /.row --> 
  </section>
  <!-- /.content --> 
</div>
@endsection 